package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomer;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclCustomerMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomer record);

    int insertSelective(AclCustomer record);

    AclCustomer selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomer record);

    int updateByPrimaryKey(AclCustomer record);

    List<AclCustomer> findByLogin(String mobileNo);

    AclCustomer findByMobileNo(String mobileNo);

    List<AclCustomer> findByIds(@Param("customerIds") List<Long> customerIds);

    List<AclCustomer> findByObj(AclCustomer aclCustomer);
}